from setuptools import setup

name = 'ukitai'
version = '0.0.9'
description = 'Python SDK for uKit AI'
author = 'naOKi Chan'
author_email = 'eduswengineers@ubtrobot.com'

packages = [
    'ukitai',
    'ukitai.apis',
    'ukitai.protos',
    'ukitai.link',
    'ukitai.depend',
    'ukitai.common'
]

package_dir = {
    'ukitai': 'ukitai'
}

package_data = {
}

install_requires = [
    'pyserial',
    'protobuf',
    'websocket-client'
]

require_data_files = ['requirements.txt']
example_data_files = [
    'examples/test_vision.py',
    'examples/test_ultrasonic.py',
    'examples/test_servo.py',
    'examples/test_serial_connect.py',
    'examples/test_screen.py',
    'examples/test_mutil_connect.py',
    'examples/test_motor.py',
    'examples/test_ledeye.py',
    'examples/test_ledbox.py',
    'examples/test_ble_connect.py',
    'examples/test_battery.py',
    'examples/test_audio.py',
    'examples/test_all_sensor.py',
]
doc_data_files = [
    'doc/ukitai.apis.LedBox.html',
    'doc/objects.inv',
    'doc/search.html',
    'doc/.buildinfo',
    'doc/ukitai.apis.Audio.html',
    'doc/ukitai.apis.HumiditySensor.html',
    'doc/py-modindex.html',
    'doc/ukitai.apis.Ultrasonic.html',
    'doc/ukitai.apis.InfraredSensor.html',
    'doc/index.html',
    'doc/ukitai.apis.LedEyes.html',
    'doc/ukitai.apis.Motor.html',
    'doc/ukitai.apis.LuxSensor.html',
    'doc/_sources/ukitai.apis.SoundSensor.rst.txt',
    'doc/_sources/ukitai.apis.Audio.rst.txt',
    'doc/_sources/ukitai.link.uKitAiBleLink.rst.txt',
    'doc/_sources/ukitai.apis.ColorSensor.rst.txt',
    'doc/_sources/ukitai.apis.Motor.rst.txt',
    'doc/_sources/common.rst.txt',
    'doc/_sources/apis.rst.txt',
    'doc/_sources/modules.rst.txt',
    'doc/_sources/ukitai.apis.LedEyes.rst.txt',
    'doc/_sources/index.rst.txt',
    'doc/_sources/ukitai.apis.Servo.rst.txt',
    'doc/_sources/ukitai.apis.Battery.rst.txt',
    'doc/_sources/ukitai.apis.TouchSensor.rst.txt',
    'doc/_sources/ukitai.apis.InfraredSensor.rst.txt',
    'doc/_sources/ukitai.link.uKitAiSerialLink.rst.txt',
    'doc/_sources/ukitai.apis.Vision.rst.txt',
    'doc/_sources/ukitai.apis.LedBox.rst.txt',
    'doc/_sources/ukitai.apis.Screen.rst.txt',
    'doc/_sources/ukitai.apis.Ultrasonic.rst.txt',
    'doc/_sources/links.rst.txt',
    'doc/_sources/ukitai.apis.LuxSensor.rst.txt',
    'doc/_sources/ukitai.apis.HumiditySensor.rst.txt',
    'doc/ukitai.apis.Screen.html',
    'doc/ukitai.apis.Vision.html',
    'doc/searchindex.js',
    'doc/modules.html',
    'doc/ukitai.apis.Servo.html',
    'doc/ukitai.apis.ColorSensor.html',
    'doc/genindex.html',
    'doc/ukitai.apis.Battery.html',
    'doc/ukitai.apis.TouchSensor.html',
    'doc/_static/basic.css',
    'doc/_static/ajax-loader.gif',
    'doc/_static/doctools.js',
    'doc/_static/up-pressed.png',
    'doc/_static/pygments.css',
    'doc/_static/up.png',
    'doc/_static/css/badge_only.css',
    'doc/_static/css/fonts/lato-bold-italic.woff',
    'doc/_static/css/fonts/lato-bold.woff2',
    'doc/_static/css/fonts/Roboto-Slab-Regular.woff',
    'doc/_static/css/fonts/fontawesome-webfont.ttf',
    'doc/_static/css/fonts/lato-normal.woff2',
    'doc/_static/css/fonts/fontawesome-webfont.eot',
    'doc/_static/css/fonts/lato-bold-italic.woff2',
    'doc/_static/css/fonts/fontawesome-webfont.woff2',
    'doc/_static/css/fonts/lato-bold.woff',
    'doc/_static/css/fonts/Roboto-Slab-Regular.woff2',
    'doc/_static/css/fonts/Roboto-Slab-Bold.woff2',
    'doc/_static/css/fonts/fontawesome-webfont.woff',
    'doc/_static/css/fonts/lato-normal.woff',
    'doc/_static/css/fonts/fontawesome-webfont.svg',
    'doc/_static/css/fonts/lato-normal-italic.woff',
    'doc/_static/css/fonts/Roboto-Slab-Bold.woff',
    'doc/_static/css/fonts/lato-normal-italic.woff2',
    'doc/_static/css/theme.css',
    'doc/_static/comment-bright.png',
    'doc/_static/underscore.js',
    'doc/_static/comment-close.png',
    'doc/_static/fonts/fontawesome-webfont.ttf',
    'doc/_static/fonts/fontawesome-webfont.eot',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-regular.woff',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-bold.eot',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-regular.woff2',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-bold.woff',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-bold.woff2',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-regular.eot',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-regular.ttf',
    'doc/_static/fonts/RobotoSlab/roboto-slab-v7-bold.ttf',
    'doc/_static/fonts/Lato/lato-italic.ttf',
    'doc/_static/fonts/Lato/lato-bolditalic.ttf',
    'doc/_static/fonts/Lato/lato-bolditalic.eot',
    'doc/_static/fonts/Lato/lato-bold.woff2',
    'doc/_static/fonts/Lato/lato-bold.eot',
    'doc/_static/fonts/Lato/lato-bold.ttf',
    'doc/_static/fonts/Lato/lato-italic.woff',
    'doc/_static/fonts/Lato/lato-bolditalic.woff2',
    'doc/_static/fonts/Lato/lato-regular.eot',
    'doc/_static/fonts/Lato/lato-bold.woff',
    'doc/_static/fonts/Lato/lato-italic.eot',
    'doc/_static/fonts/Lato/lato-italic.woff2',
    'doc/_static/fonts/Lato/lato-regular.ttf',
    'doc/_static/fonts/Lato/lato-bolditalic.woff',
    'doc/_static/fonts/Lato/lato-regular.woff2',
    'doc/_static/fonts/Lato/lato-regular.woff',
    'doc/_static/fonts/Inconsolata-Bold.ttf',
    'doc/_static/fonts/fontawesome-webfont.woff2',
    'doc/_static/fonts/RobotoSlab-Regular.ttf',
    'doc/_static/fonts/Inconsolata-Regular.ttf',
    'doc/_static/fonts/fontawesome-webfont.woff',
    'doc/_static/fonts/Lato-Bold.ttf',
    'doc/_static/fonts/fontawesome-webfont.svg',
    'doc/_static/fonts/RobotoSlab-Bold.ttf',
    'doc/_static/fonts/Inconsolata.ttf',
    'doc/_static/fonts/Lato-Regular.ttf',
    'doc/_static/websupport.js',
    'doc/_static/comment.png',
    'doc/_static/jquery.js',
    'doc/_static/plus.png',
    'doc/_static/down-pressed.png',
    'doc/_static/jquery-3.1.0.js',
    'doc/_static/searchtools.js',
    'doc/_static/file.png',
    'doc/_static/down.png',
    'doc/_static/minus.png',
    'doc/_static/underscore-1.3.1.js',
    'doc/_static/js/theme.js',
    'doc/_static/js/html5shiv-printshiv.min.js',
    'doc/_static/js/modernizr.min.js',
    'doc/_static/js/badge_only.js',
    'doc/_static/js/html5shiv.min.js',
    'doc/links.html',
    'doc/_modules/ukitai/link/uKitAiSerialLink.html',
    'doc/_modules/ukitai/link/uKitAiBleLink.html',
    'doc/_modules/ukitai/apis/Battery.html',
    'doc/_modules/ukitai/apis/SoundSensor.html',
    'doc/_modules/ukitai/apis/HumiditySensor.html',
    'doc/_modules/ukitai/apis/Ultrasonic.html',
    'doc/_modules/ukitai/apis/TouchSensor.html',
    'doc/_modules/ukitai/apis/Vision.html',
    'doc/_modules/ukitai/apis/Screen.html',
    'doc/_modules/ukitai/apis/LedEyes.html',
    'doc/_modules/ukitai/apis/Motor.html',
    'doc/_modules/ukitai/apis/LuxSensor.html',
    'doc/_modules/ukitai/apis/InfraredSensor.html',
    'doc/_modules/ukitai/apis/ColorSensor.html',
    'doc/_modules/ukitai/apis/Servo.html',
    'doc/_modules/ukitai/apis/LedBox.html',
    'doc/_modules/ukitai/apis/Audio.html',
    'doc/_modules/ukitai/common/Common.html',
    'doc/_modules/ukitai/common/Color.html',
    'doc/_modules/index.html',
    'doc/ukitai.apis.SoundSensor.html',
    'doc/ukitai.link.uKitAiSerialLink.html',
    'doc/ukitai.link.uKitAiBleLink.html',
    'doc/apis.html',
    'doc/common.html',
]

data_files = []
try:
    data_files.extend(require_data_files)
    data_files.extend(example_data_files)
    data_files.extend(doc_data_files)
except:
    pass

setup(
    name=name,
    version=version,
    description=description,
    author=author,
    author_email=author_email,
    packages=packages,
    package_dir=package_dir,
    package_data=package_data,
    data_files=data_files,
    install_requires=install_requires
)
